wpa_supplicant compile against madwifi-ng error

Jouni Malinen jkmaline at cc.hut.fi
Mon Apr 17 09:27:39 EDT 2006


On Mon, Apr 17, 2006 at 12:04:14PM +0200, Eugene de Grave wrote:

> I'm trying to compile wpa_supplicant-0.5.2 against the latest snv 
> madwifi-ng (1508). Wpa_supplicant-0.5.1 compiles just fine with this 
> .config file:
> 
> CONFIG_WIRELESS_EXTENSION=y
> CONFIG_DRIVER_MADWIFI=y
> CFLAGS += -I/root/wifi/madwifi-ng
> CONFIG_CTRL_IFACE=y

> For some reason version 0.5.2 errors with (last part of compile):

> wpa_supplicant.o: In function 
> `wpa_supplicant_deinit':/root/wifi/wpa_supplicant-0.5.2/wpa_supplicant.c:2426: 
> undefined reference to `eap_peer_unregister_methods'

0.5.2 has an error in builds that do not enable IEEE 802.1X. This is
fixed in the current CVS snapshots. As a workaround, you could just
enable EAP (e.g., add CONFIG_EAP_MD5=y) or update to the latest snapshot
version from http://hostap/epitest.fi/releases/snapshots/

-- 
Jouni Malinen                                            PGP id EFC895FA



More information about the HostAP mailing list